[xiph-commits] r18872 - trunk/squishyball
xiphmont at svn.xiph.org
xiphmont at svn.xiph.org
Tue Mar 12 12:56:10 PDT 2013
Author: xiphmont
Date: 2013-03-12 12:56:10 -0700 (Tue, 12 Mar 2013)
New Revision: 18872
Modified:
trunk/squishyball/autogen.sh
Log:
From: "Kyle J. McKay" <mackyle at gmail.com>
Subject: [PATCH 1/6] autogen.sh sanity
Support --noconfigure to skip the configure step.
Always copy the missing items rather than symlinking them.
Modified: trunk/squishyball/autogen.sh
===================================================================
--- trunk/squishyball/autogen.sh 2013-03-12 19:54:04 UTC (rev 18871)
+++ trunk/squishyball/autogen.sh 2013-03-12 19:56:10 UTC (rev 18872)
@@ -108,21 +108,26 @@
exit 1
fi
-if test -z "$*"; then
- echo "I am going to run ./configure with no arguments - if you wish "
- echo "to pass any to it, please specify them on the $0 command line."
-fi
-
/bin/echo "Generating configuration files for $package, please wait...."
/bin/echo " $ACLOCAL $ACLOCAL_FLAGS"
$ACLOCAL $ACLOCAL_FLAGS || exit 1
-/bin/echo " $LIBTOOLIZE --automake --force"
-$LIBTOOLIZE --automake --force || exit 1
-/bin/echo " $AUTOMAKE --add-missing $AUTOMAKE_FLAGS"
-$AUTOMAKE --add-missing $AUTOMAKE_FLAGS || exit 1
+/bin/echo " $LIBTOOLIZE --automake --copy --force"
+$LIBTOOLIZE --automake --copy --force || exit 1
+/bin/echo " $AUTOMAKE --add-missing --copy $AUTOMAKE_FLAGS"
+$AUTOMAKE --add-missing --copy $AUTOMAKE_FLAGS || exit 1
/bin/echo " autoconf"
autoconf || exit 1
+if test "x$1" = "x--noconfigure"; then
+ exit 0
+fi
+
+if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+ echo "(Use --noconfigure to suppress running configure at all.)"
+fi
+
cd $olddir
$srcdir/configure "$@" && /bin/echo
More information about the commits
mailing list